apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: nginx
  namespace: argocd
spec:
  project: default
  source:
    repoURL: https://gitlab.com/t.kloosterman/argoflow.git
    targetRevision: master
    path: nginx
    kustomize:
      version: v4.0.5
  destination:
    server: https://kubernetes.default.svc
  syncPolicy:
    automated:
      prune: true
      selfHeal: true
